"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.median = void 0;
const getMiddleValue = (middleIndex, sorted) => middleIndex % 1
    ? sorted[middleIndex - 0.5]
    : (sorted[middleIndex - 1] + sorted[middleIndex]) / 2;
/**
 * @param {number[]} arr - The array of which the median is calculated on
 * @returns {number} The median
 */
const median = (arr) => {
    const middleIndex = arr.length / 2;
    return Array.isArray(arr)
        ? getMiddleValue(middleIndex, [...arr].sort((a, b) => a - b))
        : NaN;
};
exports.median = median;
