"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.quadratic = void 0;
/**
 * @param {number[]} arr - The array of which the quadratic mean is calculated on
 * @returns {number} The quadratic mean
 */
const quadratic = (arr) => {
    return Array.isArray(arr)
        ? Math.sqrt(arr.reduce((a, b) => a + Math.pow(b, 2), 0) / arr.length)
        : NaN;
};
exports.quadratic = quadratic;
